# std::experimental::filesystem::recursive_directory_iterator::options

From cppreference.com
< cpp‎ | experimental‎ | fs‎ | recursive directory iterator

directory_options options() const; |  | (filesystem TS)

Returns the options that affect the directory iteration. The options can only be supplied when constructing the directory iterator.

If the options argument was not supplied, returns options::none.

### Parameters

(none)

### Return value

The effective options that affect the directory iteration.

### Exceptions

(none)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/experimental/fs/recursive_directory_iterator/options&oldid=68663"